
From: Andrey Panin <pazke@donpac.ru>

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/isdnhdlc.c    |    6 +++---
 25-akpm/drivers/isdn/hisax/st5481_hdlc.c |    6 +++---
 25-akpm/drivers/isdn/tpam/tpam_crcpc.c   |    8 ++++----
 3 files changed, 10 insertions(+), 10 deletions(-)

diff -puN drivers/isdn/hisax/isdnhdlc.c~crc16-renaming-in-isdn-drivers drivers/isdn/hisax/isdnhdlc.c
--- 25/drivers/isdn/hisax/isdnhdlc.c~crc16-renaming-in-isdn-drivers	Thu Jul  8 15:15:09 2004
+++ 25-akpm/drivers/isdn/hisax/isdnhdlc.c	Thu Jul  8 15:15:09 2004
@@ -22,7 +22,7 @@
 
 #include <linux/module.h>
 #include <linux/init.h>
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 #include "isdnhdlc.h"
 
 /*-------------------------------------------------------------------*/
@@ -305,7 +305,7 @@ int isdnhdlc_decode (struct isdnhdlc_var
 			if(hdlc->data_bits==8){
 				hdlc->data_bits = 0;
 				hdlc->data_received = 1;
-				hdlc->crc = crc16_byte(hdlc->crc, hdlc->shift_reg);
+				hdlc->crc = crc_ccitt_byte(hdlc->crc, hdlc->shift_reg);
 
 				// good byte received
 				if (dsize--) {
@@ -482,7 +482,7 @@ int isdnhdlc_encode(struct isdnhdlc_vars
 				break;
 			}
 			if(hdlc->bit_shift==8){
-				hdlc->crc = crc16_byte(hdlc->crc, hdlc->shift_reg);
+				hdlc->crc = crc_ccitt_byte(hdlc->crc, hdlc->shift_reg);
 			}
 			if(hdlc->shift_reg & 0x01){
 				hdlc->hdlc_bits1++;
diff -puN drivers/isdn/hisax/st5481_hdlc.c~crc16-renaming-in-isdn-drivers drivers/isdn/hisax/st5481_hdlc.c
--- 25/drivers/isdn/hisax/st5481_hdlc.c~crc16-renaming-in-isdn-drivers	Thu Jul  8 15:15:09 2004
+++ 25-akpm/drivers/isdn/hisax/st5481_hdlc.c	Thu Jul  8 15:15:09 2004
@@ -10,7 +10,7 @@
  *
  */
 
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 #include "st5481_hdlc.h"
 
 
@@ -262,7 +262,7 @@ int hdlc_decode(struct hdlc_vars *hdlc, 
 			if(hdlc->data_bits==8){
 				hdlc->data_bits = 0;
 				hdlc->data_received = 1;
-				hdlc->crc = crc16_byte(hdlc->crc, hdlc->shift_reg);
+				hdlc->crc = crc_ccitt_byte(hdlc->crc, hdlc->shift_reg);
 
 				// good byte received
 				if (dsize--) {
@@ -439,7 +439,7 @@ int hdlc_encode(struct hdlc_vars *hdlc, 
 				break;
 			}
 			if(hdlc->bit_shift==8){
-				hdlc->crc = crc16_byte(hdlc->crc, hdlc->shift_reg);
+				hdlc->crc = crc_ccitt_byte(hdlc->crc, hdlc->shift_reg);
 			}
 			if(hdlc->shift_reg & 0x01){
 				hdlc->hdlc_bits1++;
diff -puN drivers/isdn/tpam/tpam_crcpc.c~crc16-renaming-in-isdn-drivers drivers/isdn/tpam/tpam_crcpc.c
--- 25/drivers/isdn/tpam/tpam_crcpc.c~crc16-renaming-in-isdn-drivers	Thu Jul  8 15:15:09 2004
+++ 25-akpm/drivers/isdn/tpam/tpam_crcpc.c	Thu Jul  8 15:15:09 2004
@@ -27,7 +27,7 @@ Revision History:
 
 ---------------------------------------------------------------------------*/
 
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 #include "tpam.h"
 
 #define  HDLC_CTRL_CHAR_CMPL_MASK	0x20	/* HDLC control character complement mask */
@@ -85,7 +85,7 @@ void hdlc_encode_modem(u8 *buffer_in, u3
 		/*
 		 *   FCS calculation
 		 */
-		fcs = crc16_byte(fcs, data);
+		fcs = crc_ccitt_byte(fcs, data);
 
 		ESCAPE_CHAR(p_data_out, data);
 	}
@@ -121,7 +121,7 @@ void hdlc_no_accm_encode(u8 *buffer_in, 
 	while (lng_in--) {
 		data = *buffer_in++;
 		/* calculate FCS */
-		fcs = crc16_byte(fcs, data);
+		fcs = crc_ccitt_byte(fcs, data);
 		*p_data_out++ = data;
 	}
 
@@ -151,7 +151,7 @@ u32 hdlc_no_accm_decode(u8 *buffer_in, u
 	while (lng_in--) {
 		data = *buffer_in++;
 		/* calculate FCS */
-		fcs = crc16_byte(fcs, data);
+		fcs = crc_ccitt_byte(fcs, data);
 	}
 
 	if (fcs == HDLC_FCS_OK) 
_
